package com.amgsoft.spass;

import android.view.ViewGroup;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import com.appbrain.AppBrain;
import com.appbrain.AppBrainBanner;
import com.appbrain.InterstitialBuilder;


@BA.ActivityObject
@ShortName(value = "AMGSpass")
@Author(value = "gogo")
@DependsOn(values={"appbrain-sdk-13.30.aar"})
@Version(value = 1.0f)
public class AMGSpass {
public int BannerW=0;
public int BannerH=0;

		  public void initialise(BA ba)
		  {
		    AppBrain.init(ba.context);
		  }
		  
		  public void createInterstitial(BA ba)
		  {
			  InterstitialBuilder.create().show(ba.context);
		  }		  
		  
		  public void AddTestDevice(BA ba, String DDid)
		  {
		    AppBrain.addTestDevice(DDid);
		  }		  
		  
		  public void showInterstitial(BA ba)
		  {
		    AppBrain.getAds().maybeShowInterstitial(ba.activity);
		    
		  }
		  
		  public void addBanner(BA ba, ViewGroup parent) {
			    AppBrainBanner banner = new AppBrainBanner(ba.context);
			    parent.addView(banner);	
			    
			    //banner.setSize(arg0)
			    //BannerH=banner.getHeight();
			    //BannerW=banner.getWidth();
			    //banner.layout(xl, xt, banner.getWidth(), parent.getHeight() - banner.getHeight());
			}		  
		  
		  public void showOfferWall(BA ba)
		  {
		    AppBrain.getAds().showOfferWall(ba.context);
		  }
		}
